# Class VariablesTemplate

Namespace: Thelia\Tpex\Element
Located at core/lib/Thelia/Tpex/Element/VariablesTemplate.php

Methods summary
`public static` | # `init( array $filters, Symfony\Component\HttpFoundation\Request $request )`
`public static mixed` | # `analyser( mixed $text )` #### Parameters $text `mixed` $text #### Returns `mixed` #### Throws `RuntimeException`
`protected` | # `start( mixed $text )`
`protected` | # `analyse( mixed $endChar = '' )`
`protected` | # `analyseFilter( mixed $token )`
`protected` | # `analyseGet( mixed $token )`
`protected` | # `filterGetVar( mixed $type, mixed $var, mixed $default = null )`
`protected` | # `analyseSet( mixed $token )`
`protected` | # `analyseVarName( )`

Properties summary
`protected array` | $filters | `array()` | #
`protected boolean` | $init | `false` | #
`protected array` | $tokens | `array()` | #
`protected string` | $sessionPrefix | `"thelia_"` | #
`protected Symfony\Component\HttpFoundation\Request` | $request | `` | #